RubyGems Navigation menu

rubocop 0.29.1

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.39.0 - November 14, 2022 (564 KB)
  2. 1.38.0 - November 01, 2022 (563 KB)
  3. 1.37.1 - October 24, 2022 (560 KB)
  4. 1.37.0 - October 20, 2022 (559 KB)
  5. 1.36.0 - September 01, 2022 (555 KB)
  6. 0.29.1 - February 13, 2015 (937 KB)
Show all versions (222 total)

Runtime Dependencies (5):

  • astrolabe ~> 1.3
  • parser < 3.0, >= 2.2.0.1
  • powerpack ~> 0.1
  • rainbow < 3.0, >= 1.99.1
  • ruby-progressbar ~> 1.4
  • Development Dependencies (5):

  • bundler ~> 1.3
  • rake ~> 10.1
  • rspec ~> 3.1.0
  • simplecov ~> 0.7
  • yard ~> 0.8
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    fdef20af47f52e8130d39665fb5770fdc7cb72d9c5a5ba56078e0fe2c325f50c

    Total downloads 276,916,590

    For this version 741,882

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 1.9.3

    New versions require MFA: true

    Links: